{ config, lib, ... }:
with lib;
let
  zsh = import ./zsh.nix;
in
{
  imports = [ (import ./zsh.nix).system ];
  home-manager.sharedModules = [
    {
      imports = [
        zsh.user
        ./neovim
      ];
      # options.kat = {
      #   ssh = mkEnableOption "ssh configuration";
      # };
      config = {
        home.stateVersion = config.system.stateVersion;
      };
    }
  ];
}
